> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# View API keys

> Retrieves the metadate for all API keys for the specified user.
- The function allows users to view the metadata for all active API keys for their own account
- Root and administrator users can view API keys metadata associated with other users on the same account.



## OpenAPI

````yaml /api-reference/endpoint/accounts/openapi.json get /accounts/api-keys
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    API for managing accounts, users, authentication, and payments in the
    quiva.ai platform
  version: 1.0.0
  contact:
    name: quiva.ai Support
    url: https://app.quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Account Management
    description: Operations related to account creation, updating, and deletion
  - name: User Management
    description: Operations related to user creation, updating, and deletion
  - name: Authentication
    description: Operations related to authentication and session management
  - name: API Keys
    description: Operations related to API key management
  - name: Multi-Factor Authentication
    description: Operations related to MFA setup and verification
  - name: Payment
    description: Operations related to subscription and payment management
  - name: Mesh Nodes
    description: Operations related to mesh node management
paths:
  /accounts/api-keys:
    get:
      tags:
        - API Keys
      summary: View API keys
      description: >-
        Retrieves the metadate for all API keys for the specified user.

        - The function allows users to view the metadata for all active API keys
        for their own account

        - Root and administrator users can view API keys metadata associated
        with other users on the same account.
      operationId: viewApiKeys
      parameters:
        - name: email
          in: query
          description: User email (optional, defaults to current user)
          schema:
            type: string
            format: email
      responses:
        '200':
          description: API keys retrieved successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ViewApiKey'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ViewApiKey:
      type: object
      properties:
        id:
          type: string
          description: API key ID
        name:
          type: string
          description: API key name
        last_4_characters:
          type: string
          description: Last 4 characters of API key
        created_on:
          type: string
          format: date-time
          description: Creation date
        expires_on:
          type: string
          format: date-time
          description: Expiration date
        account:
          type: string
          description: Account name
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````